: Class BaseConfiguration

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTTP.Configure
Class BaseConfiguration

    java.lang.Object
      |
      +--com.mortbay.HTTP.Configure.BaseConfiguration

Direct Known Subclasses:
  FileServer, ProxyConfig, Server, Server21, ServletServer

public class BaseConfiguration
extends java.lang.Object
implements HttpConfiguration

Base Http Configuration

This implementation of HttpConfiguration provides a minimal implementation of all methods and is a good base for real configuration classes

Version:
  $Id: BaseConfiguration.java,v 2.10 2000/01/17 10:56:05 gregw Exp $
Author:
  Greg Wilkins
See Also:
  `HttpConfiguration`

Field Summary
`protected InetAddrPort[]` | `addresses`
`protected java.util.Hashtable` | `attributes` Deprecated. use properties
`protected PathMap` | `exceptionHandlersMap`
`protected PathMap` | `httpHandlersMap`
`protected java.lang.Class[]` | `listenerClasses`
`protected java.util.Hashtable` | `mimeMap`
`protected java.util.Properties` | `properties`

Fields inherited from interface com.mortbay.HTTP.HttpConfiguration
`HTTP1_0_KeepAlive, MaxListenerThreadIdleMs, MaxListenerThreads, MinListenerThreads, ResourceBase, SessionMaxInactiveInterval, SetUserID`

Constructor Summary
`BaseConfiguration()`

Method Summary
`InetAddrPort[]` | `addresses()` The IP addresses and ports the HTTP server listens on
`PathMap` | `exceptionHandlersMap()` The ExceptionHandlers
`java.lang.Object` | `getAttribute(java.lang.String name)` Deprecated. Use getProperty
`protected java.lang.String` | `getMimeByExtension(java.lang.String ext)` Lookup mime type by filename extension.
`java.lang.String` | `getMimeType(java.lang.String file)` Translate Mime type
`java.util.Properties` | `getProperties()` Returns properties object.
`java.lang.String` | `getProperty(java.lang.String name)` Returns an attribute of the server given the specified key name.
`PathMap` | `httpHandlersMap()` The HttpHandlers
`java.lang.Class[]` | `listenerClasses()` The HttpListener classes.
`void` | `log(java.lang.String message)` Writes a message to the servlet log file.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mimeMap

    protected java.util.Hashtable mimeMap

### addresses

    protected InetAddrPort[] addresses

### listenerClasses

    protected java.lang.Class[] listenerClasses

### httpHandlersMap

    protected PathMap httpHandlersMap

### exceptionHandlersMap

    protected PathMap exceptionHandlersMap

### properties

    protected java.util.Properties properties

### attributes

    protected java.util.Hashtable attributes

  Deprecated. use properties

Constructor Detail

### BaseConfiguration

    public BaseConfiguration()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### addresses

    public InetAddrPort[] addresses()

  The IP addresses and ports the HTTP server listens on
  Specified by:
    addresses in interface HttpConfiguration

### listenerClasses

    public java.lang.Class[] listenerClasses()

  The HttpListener classes. The classes derived from HttpListener (or HttpListener) used to listen to the corresponding address from addresses().
  Specified by:
    listenerClasses in interface HttpConfiguration

### httpHandlersMap

    public PathMap httpHandlersMap()

  The HttpHandlers
  Specified by:
    httpHandlersMap in interface HttpConfiguration

### exceptionHandlersMap

    public PathMap exceptionHandlersMap()

  The ExceptionHandlers
  Specified by:
    exceptionHandlersMap in interface HttpConfiguration

### getMimeType

    public java.lang.String getMimeType(java.lang.String file)

  Translate Mime type
  Specified by:
    getMimeType in interface HttpConfiguration

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Deprecated. Use getProperty

  Returns an attribute of the server given the specified key name.
  Specified by:
    getAttribute in interface HttpConfiguration

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Returns an attribute of the server given the specified key name.
  Specified by:
    getProperty in interface HttpConfiguration

### getProperties

    public java.util.Properties getProperties()

  Returns properties object.
  Specified by:
    getProperties in interface HttpConfiguration

### log

    public void log(java.lang.String message)

  Writes a message to the servlet log file.
  Specified by:
    log in interface HttpConfiguration

### getMimeByExtension

    protected java.lang.String getMimeByExtension(java.lang.String ext)

  Lookup mime type by filename extension. This class provides a basic mapping of class, html, txt, java, gif, jpg and default extensions. Derived classes should specialize this to provide a more complete mime mapping

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD